Subject: Re: [PATCH] Remove powerpc specific parts of 3c509 driver

From: Jeff Garzik <[email-masked]>
Date: Tue, 19 Sep 2006 21:18:54 -0400

Segher Boessenkool wrote:
>>> Sure, PCI busses are little-endian.  But is readX()/writeX() for PCI
>>> only?
>>
>> Yes.
>>
>> For other buses, use foo_writel(), etc.
> 
> Can this please be documented then?  Never heard this before...

You have come late to the party.  This has been the case for many, many 
years.

And there is no point in a massive rename to pci_writel(), either.

	Jeff